VERSION 6
BEGIN SCHEMATIC
    BEGIN ATTR DeviceFamilyName "spartan3e"
        DELETE all:0
        EDITNAME all:0
        EDITTRAIT all:0
    END ATTR
    BEGIN NETLIST
        BEGIN SIGNAL outport(7:0)
            BEGIN ATTR LOC "P17,N15,R17,R18,N18,M19,K14,K16"
                VERILOG all:0 wsynth:1
                VHDL all:0 wa:1 wd:1
            END ATTR
        END SIGNAL
        BEGIN SIGNAL inport(7:0)
            BEGIN ATTR LOC "G16,F19,F17,F16,H19,E16,H18,G20"
                VERILOG all:0 wsynth:1
                VHDL all:0 wa:1 wd:1
            END ATTR
        END SIGNAL
        SIGNAL XLXN_95(15:0)
        SIGNAL clk_cpu
        SIGNAL din(15:0)
        SIGNAL mem_cpu
        SIGNAL rw_cpu
        SIGNAL dout(7:0)
        SIGNAL dout(15:0)
        SIGNAL irq_cpu
        SIGNAL adr(15:0)
        SIGNAL adr(14:0)
        SIGNAL adr(15)
        BEGIN SIGNAL a(14:0)
            BEGIN ATTR LOC "A10,E9,F12,D9,C7,C9,B9,C12,D12,B13,F13,C13,D14,A17,A16"
                VERILOG all:0 wsynth:1
                VHDL all:0 wa:1 wd:1
            END ATTR
        END SIGNAL
        BEGIN SIGNAL d(15:0)
            BEGIN ATTR LOC "U9,V12,U7,P14,U20,T20,U19,P16,P13,R14,U13,R13,W20,W15,U12,W13"
                VERILOG all:0 wsynth:1
                VHDL all:0 wa:1 wd:1
            END ATTR
        END SIGNAL
        BEGIN SIGNAL rw
            BEGIN ATTR LOC "A12"
                VERILOG all:0 wsynth:1
                VHDL all:0 wa:1 wd:1
            END ATTR
        END SIGNAL
        BEGIN SIGNAL oe
            BEGIN ATTR LOC "A8"
                VERILOG all:0 wsynth:1
                VHDL all:0 wa:1 wd:1
            END ATTR
        END SIGNAL
        BEGIN SIGNAL ramsel
            BEGIN ATTR LOC "V13"
                VERILOG all:0 wsynth:1
                VHDL all:0 wa:1 wd:1
            END ATTR
        END SIGNAL
        BEGIN SIGNAL romsel
            BEGIN ATTR LOC "A7"
                VERILOG all:0 wsynth:1
                VHDL all:0 wa:1 wd:1
            END ATTR
        END SIGNAL
        BEGIN SIGNAL iosel
            BEGIN ATTR LOC "C20"
                VERILOG all:0 wsynth:1
                VHDL all:0 wa:1 wd:1
            END ATTR
        END SIGNAL
        BEGIN SIGNAL irq
            BEGIN ATTR LOC "G18"
                VERILOG all:0 wsynth:1
                VHDL all:0 wa:1 wd:1
            END ATTR
        END SIGNAL
        BEGIN SIGNAL clk
            BEGIN ATTR LOC "V11"
                VERILOG all:0 wsynth:1
                VHDL all:0 wa:1 wd:1
            END ATTR
        END SIGNAL
        SIGNAL XLXN_96
        BEGIN SIGNAL reset
            BEGIN ATTR LOC "A19"
                VERILOG all:0 wsynth:1
                VHDL all:0 wa:1 wd:1
            END ATTR
        END SIGNAL
        SIGNAL XLXN_141
        BEGIN SIGNAL led7
            BEGIN ATTR LOC "Y7"
                VERILOG all:0 wsynth:1
                VHDL all:0 wa:1 wd:1
            END ATTR
        END SIGNAL
        BEGIN SIGNAL led6
            BEGIN ATTR LOC "V8"
                VERILOG all:0 wsynth:1
                VHDL all:0 wa:1 wd:1
            END ATTR
        END SIGNAL
        BEGIN SIGNAL led5
            BEGIN ATTR LOC "W8"
                VERILOG all:0 wsynth:1
                VHDL all:0 wa:1 wd:1
            END ATTR
        END SIGNAL
        BEGIN SIGNAL led4
            BEGIN ATTR LOC "Y8"
                VERILOG all:0 wsynth:1
                VHDL all:0 wa:1 wd:1
            END ATTR
        END SIGNAL
        BEGIN SIGNAL led3
            BEGIN ATTR LOC "V9"
                VERILOG all:0 wsynth:1
                VHDL all:0 wa:1 wd:1
            END ATTR
        END SIGNAL
        BEGIN SIGNAL led2
            BEGIN ATTR LOC "W9"
                VERILOG all:0 wsynth:1
                VHDL all:0 wa:1 wd:1
            END ATTR
        END SIGNAL
        BEGIN SIGNAL led1
            BEGIN ATTR LOC "Y9"
                VERILOG all:0 wsynth:1
                VHDL all:0 wa:1 wd:1
            END ATTR
        END SIGNAL
        SIGNAL XLXN_157
        SIGNAL XLXN_158
        PORT Output outport(7:0)
        PORT Input inport(7:0)
        PORT Output a(14:0)
        PORT BiDirectional d(15:0)
        PORT Output rw
        PORT Output oe
        PORT Output ramsel
        PORT Output romsel
        PORT Output iosel
        PORT Input irq
        PORT Input clk
        PORT Input reset
        PORT Output led7
        PORT Output led6
        PORT Output led5
        PORT Output led4
        PORT Output led3
        PORT Output led2
        PORT Output led1
        BEGIN BLOCKDEF cpu
            TIMESTAMP 2007 11 27 15 54 44
            RECTANGLE N 0 -448 320 52 
        END BLOCKDEF
        BEGIN BLOCKDEF inter
            TIMESTAMP 2007 11 27 16 9 0
            RECTANGLE N 0 -480 384 48 
        END BLOCKDEF
        BEGIN BLOCKDEF io
            TIMESTAMP 2007 11 27 16 11 50
            RECTANGLE N 0 -448 384 48 
        END BLOCKDEF
        BEGIN BLOCKDEF buf
            TIMESTAMP 2000 1 1 10 10 10
            LINE N 0 -32 64 -32 
            LINE N 224 -32 128 -32 
            LINE N 64 0 128 -32 
            LINE N 128 -32 64 -64 
            LINE N 64 -64 64 0 
        END BLOCKDEF
        BEGIN BLOCKDEF ibuf
            TIMESTAMP 2000 1 1 10 10 10
            LINE N 64 0 64 -64 
            LINE N 128 -32 64 0 
            LINE N 64 -64 128 -32 
            LINE N 224 -32 128 -32 
            LINE N 0 -32 64 -32 
        END BLOCKDEF
        BEGIN BLOCKDEF inv
            TIMESTAMP 2000 1 1 10 10 10
            LINE N 0 -32 64 -32 
            LINE N 224 -32 160 -32 
            LINE N 64 -64 128 -32 
            LINE N 128 -32 64 0 
            LINE N 64 0 64 -64 
            CIRCLE N 128 -48 160 -16 
        END BLOCKDEF
        BEGIN BLOCKDEF startup_spartan3e
            TIMESTAMP 2000 1 1 10 10 10
            LINE N 0 -320 64 -320 
            LINE N 0 -128 64 -128 
            LINE N 0 -256 64 -256 
            LINE N 0 -192 64 -192 
            RECTANGLE N 64 -384 416 -64 
            LINE N 0 -192 64 -192 
        END BLOCKDEF
        BEGIN BLOCKDEF obuf
            TIMESTAMP 2000 1 1 10 10 10
            LINE N 64 0 64 -64 
            LINE N 128 -32 64 0 
            LINE N 64 -64 128 -32 
            LINE N 0 -32 64 -32 
            LINE N 224 -32 128 -32 
        END BLOCKDEF
        BEGIN BLOCKDEF gnd
            TIMESTAMP 2000 1 1 10 10 10
            LINE N 64 -64 64 -96 
            LINE N 76 -48 52 -48 
            LINE N 68 -32 60 -32 
            LINE N 88 -64 40 -64 
            LINE N 64 -64 64 -80 
            LINE N 64 -128 64 -96 
        END BLOCKDEF
        BEGIN BLOCKDEF vcc
            TIMESTAMP 2000 1 1 10 10 10
            LINE N 64 -32 64 -64 
            LINE N 64 0 64 -32 
            LINE N 96 -64 32 -64 
        END BLOCKDEF
        BEGIN BLOCKDEF ram
            TIMESTAMP 2007 5 3 11 34 24
            RECTANGLE N -16 -68 148 160 
        END BLOCKDEF
        BEGIN BLOCKDEF rom
            TIMESTAMP 2007 5 4 9 24 12
            RECTANGLE N -16 -68 148 160 
        END BLOCKDEF
        BEGIN BLOCK io1 io
            PIN dout(7:0) dout(7:0)
            PIN inport(7:0) inport(7:0)
            PIN clk_cpu clk_cpu
            PIN outport(7:0) outport(7:0)
            PIN dinb(15:0) din(15:0)
            PIN mem_cpu mem_cpu
            PIN rw_cpu rw_cpu
            PIN dina(15:0) XLXN_95(15:0)
            PIN adr(14:0) adr(14:0)
        END BLOCK
        BEGIN BLOCK cpu1 cpu
            PIN din(15:0) din(15:0)
            PIN irq irq_cpu
            PIN mem mem_cpu
            PIN clk clk_cpu
            PIN rw rw_cpu
            PIN dout(15:0) dout(15:0)
            PIN adr(15:0) adr(15:0)
        END BLOCK
        BEGIN BLOCK XLXI_6 buf
            PIN I adr(15)
            PIN O
        END BLOCK
        BEGIN BLOCK inter1 inter
            PIN din(15:0) XLXN_95(15:0)
            PIN rw rw
            PIN oe oe
            PIN ramsel ramsel
            PIN romsel romsel
            PIN iosel iosel
            PIN irq irq
            PIN clk clk
            PIN rw_cpu rw_cpu
            PIN irq_cpu irq_cpu
            PIN mem_cpu mem_cpu
            PIN clk_cpu clk_cpu
            PIN a(14:0) a(14:0)
            PIN d(15:0) d(15:0)
            PIN dout(15:0) dout(15:0)
            PIN adr(14:0) adr(14:0)
        END BLOCK
        BEGIN BLOCK XLXI_9 inv
            PIN I XLXN_141
            PIN O XLXN_96
        END BLOCK
        BEGIN BLOCK XLXI_8 ibuf
            PIN I reset
            PIN O XLXN_141
        END BLOCK
        BEGIN BLOCK XLXI_10 startup_spartan3e
            PIN CLK
            PIN GSR XLXN_96
            PIN GTS
            PIN MBT
        END BLOCK
        BEGIN BLOCK XLXI_107 obuf
            PIN I XLXN_157
            PIN O led7
        END BLOCK
        BEGIN BLOCK XLXI_108 obuf
            PIN I XLXN_157
            PIN O led6
        END BLOCK
        BEGIN BLOCK XLXI_109 obuf
            PIN I XLXN_158
            PIN O led5
        END BLOCK
        BEGIN BLOCK XLXI_110 obuf
            PIN I XLXN_158
            PIN O led4
        END BLOCK
        BEGIN BLOCK XLXI_111 obuf
            PIN I XLXN_157
            PIN O led3
        END BLOCK
        BEGIN BLOCK XLXI_117 obuf
            PIN I XLXN_157
            PIN O led2
        END BLOCK
        BEGIN BLOCK XLXI_118 obuf
            PIN I XLXN_158
            PIN O led1
        END BLOCK
        BEGIN BLOCK XLXI_132 gnd
            PIN G XLXN_158
        END BLOCK
        BEGIN BLOCK XLXI_134 vcc
            PIN P XLXN_157
        END BLOCK
        BEGIN BLOCK XLXI_135 ram
            PIN a(14:0) a(14:0)
            PIN rw rw
            PIN d(15:0) d(15:0)
            PIN cs ramsel
            PIN oe oe
        END BLOCK
        BEGIN BLOCK XLXI_136 rom
            PIN a(14:0) a(14:0)
            PIN d(15:0) d(15:0)
            PIN cs romsel
            PIN oe oe
        END BLOCK
    END NETLIST
    BEGIN SHEET 1 2688 1900
        ATTR LengthUnitName "CM"
        ATTR GridsPerUnit "4"
        BEGIN BRANCH outport(7:0)
            WIRE 1712 720 2048 720
            WIRE 2048 720 2336 720
            BEGIN DISPLAY 2048 720 ATTR LOC
                ALIGNMENT SOFT-BCENTER
                DISPLAYFORMAT NAMEEQUALSVALUE
            END DISPLAY
        END BRANCH
        BEGIN BRANCH inport(7:0)
            WIRE 1712 656 2016 656
            WIRE 2016 656 2320 656
            BEGIN DISPLAY 2016 656 ATTR LOC
                ALIGNMENT SOFT-BCENTER
                DISPLAYFORMAT NAMEEQUALSVALUE
            END DISPLAY
        END BRANCH
        BEGIN BRANCH XLXN_95(15:0)
            WIRE 1136 784 1136 1392
            WIRE 1136 1392 1328 1392
            WIRE 1136 784 1328 784
        END BRANCH
        BEGIN BRANCH clk_cpu
            WIRE 560 1744 656 1744
            WIRE 656 1744 1296 1744
            WIRE 1296 1744 1328 1744
            WIRE 1296 1072 1328 1072
            WIRE 1296 1072 1296 1744
            BEGIN DISPLAY 656 1744 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH din(15:0)
            WIRE 560 1392 656 1392
            WIRE 656 1392 1104 1392
            WIRE 1104 720 1104 1392
            WIRE 1104 720 1328 720
            BEGIN DISPLAY 656 1392 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN INSTANCE io1 1328 1072 R0
        END INSTANCE
        BEGIN BRANCH mem_cpu
            WIRE 560 1616 656 1616
            WIRE 656 1616 1264 1616
            WIRE 1264 1616 1328 1616
            WIRE 1264 1008 1328 1008
            WIRE 1264 1008 1264 1616
            BEGIN DISPLAY 656 1616 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH rw_cpu
            WIRE 560 1552 656 1552
            WIRE 656 1552 1232 1552
            WIRE 1232 1552 1328 1552
            WIRE 1232 944 1328 944
            WIRE 1232 944 1232 1552
            BEGIN DISPLAY 656 1552 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH dout(7:0)
            WIRE 1056 656 1232 656
            WIRE 1232 656 1328 656
            WIRE 1056 656 1056 1360
            BEGIN DISPLAY 1232 656 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BUSTAP 1056 1456 1056 1360
        BEGIN BRANCH dout(15:0)
            WIRE 560 1456 672 1456
            WIRE 672 1456 1056 1456
            WIRE 1056 1456 1328 1456
            BEGIN DISPLAY 672 1456 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH irq_cpu
            WIRE 560 1680 656 1680
            WIRE 656 1680 1328 1680
            BEGIN DISPLAY 656 1680 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH adr(15:0)
            WIRE 560 1328 656 1328
            WIRE 656 1328 736 1328
            WIRE 736 1200 736 1232
            WIRE 736 1232 736 1296
            WIRE 736 1296 736 1328
            BEGIN DISPLAY 656 1328 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH adr(14:0)
            WIRE 832 1296 864 1296
            WIRE 864 1296 1184 1296
            WIRE 1184 1296 1328 1296
            WIRE 1184 848 1328 848
            WIRE 1184 848 1184 1296
            BEGIN DISPLAY 864 1296 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN INSTANCE cpu1 240 1744 R0
        END INSTANCE
        BUSTAP 736 1296 832 1296
        BUSTAP 736 1232 832 1232
        BEGIN BRANCH adr(15)
            WIRE 832 1232 848 1232
            WIRE 848 1232 928 1232
            BEGIN DISPLAY 848 1232 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        INSTANCE XLXI_6 960 1232 R270
        BEGIN BRANCH a(14:0)
            WIRE 1712 1456 1824 1456
            WIRE 1824 1456 2128 1456
            WIRE 2128 1456 2368 1456
            WIRE 1824 912 2320 912
            WIRE 1824 912 1824 1152
            WIRE 1824 1152 1824 1456
            WIRE 1824 1152 2320 1152
            BEGIN DISPLAY 2128 1456 ATTR LOC
                ALIGNMENT SOFT-BCENTER
                FONT 12 "Arial"
                DISPLAYFORMAT NAMEEQUALSVALUE
            END DISPLAY
        END BRANCH
        BEGIN BRANCH d(15:0)
            WIRE 1712 1392 1792 1392
            WIRE 1792 1392 2128 1392
            WIRE 2128 1392 2368 1392
            WIRE 1792 880 2320 880
            WIRE 1792 880 1792 1120
            WIRE 1792 1120 1792 1392
            WIRE 1792 1120 2320 1120
            BEGIN DISPLAY 2128 1392 ATTR LOC
                ALIGNMENT SOFT-BCENTER
                FONT 12 "Arial"
                DISPLAYFORMAT NAMEEQUALSVALUE
            END DISPLAY
        END BRANCH
        BEGIN RECTANGLE W 2292 784 2512 1304 
            LINECOLOR 255 0 0
            FILLCOLOR 255 255 0
        END RECTANGLE
        BEGIN DISPLAY 2332 1292 TEXT "Only for simulation"
            TEXTCOLOR 255 0 0
        END DISPLAY
        BEGIN DISPLAY 2296 1316 TEXT "Remove before implementation"
            TEXTCOLOR 255 0 0
        END DISPLAY
        BEGIN BRANCH rw
            WIRE 1712 1552 1856 1552
            WIRE 1856 1552 2256 1552
            WIRE 2256 1552 2368 1552
            WIRE 1856 960 2320 960
            WIRE 1856 960 1856 1552
            BEGIN DISPLAY 2256 1552 ATTR LOC
                ALIGNMENT SOFT-BCENTER
                DISPLAYFORMAT NAMEEQUALSVALUE
            END DISPLAY
        END BRANCH
        BEGIN BRANCH oe
            WIRE 1712 1584 1872 1584
            WIRE 1872 1584 2240 1584
            WIRE 2240 1584 2368 1584
            WIRE 1872 992 2320 992
            WIRE 1872 992 1872 1232
            WIRE 1872 1232 2320 1232
            WIRE 1872 1232 1872 1584
            BEGIN DISPLAY 2240 1584 ATTR LOC
                ALIGNMENT SOFT-BCENTER
                DISPLAYFORMAT NAMEEQUALSVALUE
            END DISPLAY
        END BRANCH
        BEGIN BRANCH ramsel
            WIRE 1712 1616 1888 1616
            WIRE 1888 1616 2256 1616
            WIRE 2256 1616 2368 1616
            WIRE 1888 1024 2320 1024
            WIRE 1888 1024 1888 1616
            BEGIN DISPLAY 2256 1616 ATTR LOC
                ALIGNMENT SOFT-BCENTER
                DISPLAYFORMAT NAMEEQUALSVALUE
            END DISPLAY
        END BRANCH
        BEGIN BRANCH romsel
            WIRE 1712 1648 1904 1648
            WIRE 1904 1648 2256 1648
            WIRE 2256 1648 2368 1648
            WIRE 1904 1264 2320 1264
            WIRE 1904 1264 1904 1648
            BEGIN DISPLAY 2256 1648 ATTR LOC
                ALIGNMENT SOFT-BCENTER
                DISPLAYFORMAT NAMEEQUALSVALUE
            END DISPLAY
        END BRANCH
        BEGIN BRANCH iosel
            WIRE 1712 1680 2256 1680
            WIRE 2256 1680 2368 1680
            BEGIN DISPLAY 2256 1680 ATTR LOC
                ALIGNMENT SOFT-BCENTER
                DISPLAYFORMAT NAMEEQUALSVALUE
            END DISPLAY
        END BRANCH
        BEGIN BRANCH irq
            WIRE 1712 1712 2256 1712
            WIRE 2256 1712 2368 1712
            BEGIN DISPLAY 2256 1712 ATTR LOC
                ALIGNMENT SOFT-BCENTER
                DISPLAYFORMAT NAMEEQUALSVALUE
            END DISPLAY
        END BRANCH
        BEGIN BRANCH clk
            WIRE 1712 1744 2256 1744
            WIRE 2256 1744 2368 1744
            BEGIN DISPLAY 2256 1744 ATTR LOC
                ALIGNMENT SOFT-BCENTER
                DISPLAYFORMAT NAMEEQUALSVALUE
            END DISPLAY
        END BRANCH
        BEGIN INSTANCE inter1 1328 1744 R0
        END INSTANCE
        BEGIN BRANCH reset
            WIRE 464 256 608 256
            WIRE 608 256 704 256
            BEGIN DISPLAY 608 256 ATTR LOC
                ALIGNMENT SOFT-BCENTER
                DISPLAYFORMAT NAMEEQUALSVALUE
            END DISPLAY
        END BRANCH
        IOMARKER 2336 720 outport(7:0) R0 28
        IOMARKER 2320 656 inport(7:0) R0 28
        IOMARKER 2368 1552 rw R0 28
        IOMARKER 2368 1584 oe R0 28
        IOMARKER 2368 1616 ramsel R0 28
        IOMARKER 2368 1648 romsel R0 28
        IOMARKER 2368 1680 iosel R0 28
        IOMARKER 2368 1712 irq R0 28
        IOMARKER 2368 1744 clk R0 28
        IOMARKER 2368 1456 a(14:0) R0 28
        IOMARKER 2368 1392 d(15:0) R0 28
        BEGIN BRANCH XLXN_96
            WIRE 1200 256 1280 256
        END BRANCH
        BEGIN BRANCH XLXN_141
            WIRE 928 256 976 256
        END BRANCH
        INSTANCE XLXI_9 976 288 R0
        INSTANCE XLXI_8 704 288 R0
        IOMARKER 464 256 reset R180 28
        INSTANCE XLXI_10 1280 576 R0
        BEGIN BRANCH led7
            WIRE 512 512 528 512
            WIRE 528 512 608 512
            BEGIN DISPLAY 528 512 ATTR LOC
                ALIGNMENT SOFT-BCENTER
                DISPLAYFORMAT NAMEEQUALSVALUE
            END DISPLAY
        END BRANCH
        BEGIN BRANCH led6
            WIRE 512 576 528 576
            WIRE 528 576 608 576
            BEGIN DISPLAY 528 576 ATTR LOC
                ALIGNMENT SOFT-BCENTER
                DISPLAYFORMAT NAMEEQUALSVALUE
            END DISPLAY
        END BRANCH
        BEGIN BRANCH led5
            WIRE 512 640 528 640
            WIRE 528 640 608 640
            BEGIN DISPLAY 528 640 ATTR LOC
                ALIGNMENT SOFT-BCENTER
                DISPLAYFORMAT NAMEEQUALSVALUE
            END DISPLAY
        END BRANCH
        BEGIN BRANCH led4
            WIRE 512 704 528 704
            WIRE 528 704 608 704
            BEGIN DISPLAY 528 704 ATTR LOC
                ALIGNMENT SOFT-BCENTER
                DISPLAYFORMAT NAMEEQUALSVALUE
            END DISPLAY
        END BRANCH
        BEGIN BRANCH led3
            WIRE 512 768 528 768
            WIRE 528 768 608 768
            BEGIN DISPLAY 528 768 ATTR LOC
                ALIGNMENT SOFT-BCENTER
                DISPLAYFORMAT NAMEEQUALSVALUE
            END DISPLAY
        END BRANCH
        BEGIN BRANCH led2
            WIRE 512 832 528 832
            WIRE 528 832 608 832
            BEGIN DISPLAY 528 832 ATTR LOC
                ALIGNMENT SOFT-BCENTER
                DISPLAYFORMAT NAMEEQUALSVALUE
            END DISPLAY
        END BRANCH
        BEGIN BRANCH led1
            WIRE 512 896 528 896
            WIRE 528 896 608 896
            BEGIN DISPLAY 528 896 ATTR LOC
                ALIGNMENT SOFT-BCENTER
                DISPLAYFORMAT NAMEEQUALSVALUE
            END DISPLAY
        END BRANCH
        INSTANCE XLXI_107 288 544 R0
        INSTANCE XLXI_108 288 608 R0
        INSTANCE XLXI_109 288 672 R0
        INSTANCE XLXI_110 288 736 R0
        INSTANCE XLXI_111 288 800 R0
        INSTANCE XLXI_117 288 864 R0
        INSTANCE XLXI_118 288 928 R0
        INSTANCE XLXI_132 32 1088 R0
        INSTANCE XLXI_134 128 416 R0
        BEGIN DISPLAY 708 700 TEXT "LED4 defekt"
            FONT 36 "Arial"
        END DISPLAY
        IOMARKER 608 512 led7 R0 28
        IOMARKER 608 576 led6 R0 28
        IOMARKER 608 640 led5 R0 28
        IOMARKER 608 704 led4 R0 28
        IOMARKER 608 768 led3 R0 28
        IOMARKER 608 832 led2 R0 28
        IOMARKER 608 896 led1 R0 28
        BEGIN DISPLAY 432 972 TEXT "LED0 readonly"
            FONT 36 "Arial"
        END DISPLAY
        BEGIN BRANCH XLXN_158
            WIRE 96 464 96 640
            WIRE 96 640 288 640
            WIRE 96 640 96 704
            WIRE 96 704 96 896
            WIRE 96 896 96 960
            WIRE 96 896 288 896
            WIRE 96 704 288 704
        END BRANCH
        BEGIN BRANCH XLXN_157
            WIRE 192 416 192 512
            WIRE 192 512 288 512
            WIRE 192 512 192 576
            WIRE 192 576 288 576
            WIRE 192 576 192 768
            WIRE 192 768 192 832
            WIRE 192 832 192 944
            WIRE 192 832 288 832
            WIRE 192 768 288 768
        END BRANCH
        BEGIN INSTANCE XLXI_135 2336 880 R0
        END INSTANCE
        BEGIN INSTANCE XLXI_136 2336 1120 R0
        END INSTANCE
    END SHEET
END SCHEMATIC
