VERSION 6
BEGIN SCHEMATIC
    BEGIN ATTR DeviceFamilyName "spartan3e"
        DELETE all:0
        EDITNAME all:0
        EDITTRAIT all:0
    END ATTR
    BEGIN NETLIST
        SIGNAL yreg_out(15:0)
        SIGNAL pc_out(14:0)
        SIGNAL xreg_out(15:0)
        SIGNAL alu_x(15:0)
        SIGNAL alu_y(15:0)
        SIGNAL clk
        SIGNAL s0
        SIGNAL s1
        SIGNAL s2
        SIGNAL s3
        SIGNAL s5
        SIGNAL s6
        SIGNAL s4
        SIGNAL alu_f
        SIGNAL op_out
        SIGNAL mem
        SIGNAL rw
        SIGNAL irq
        SIGNAL s7
        SIGNAL din(15:0)
        SIGNAL din(15)
        SIGNAL dout(14:0)
        SIGNAL dout(15:0)
        SIGNAL flag_out
        SIGNAL s8
        SIGNAL adr(15:0)
        SIGNAL adr(14:0)
        PORT Input clk
        PORT Output mem
        PORT Output rw
        PORT Input irq
        PORT Input din(15:0)
        PORT Output dout(15:0)
        PORT Output adr(15:0)
        BEGIN BLOCKDEF yreg
            TIMESTAMP 2007 4 19 13 53 54
            RECTANGLE N -48 -60 208 48 
        END BLOCKDEF
        BEGIN BLOCKDEF xreg
            TIMESTAMP 2007 4 19 13 53 30
            RECTANGLE N -48 -60 208 48 
        END BLOCKDEF
        BEGIN BLOCKDEF pc
            TIMESTAMP 2007 11 27 10 50 36
            RECTANGLE N -48 -60 208 48 
        END BLOCKDEF
        BEGIN BLOCKDEF op
            TIMESTAMP 2007 4 19 14 40 30
            RECTANGLE N 0 -60 160 48 
        END BLOCKDEF
        BEGIN BLOCKDEF flag
            TIMESTAMP 2007 4 20 11 38 0
            RECTANGLE N 0 -60 160 48 
        END BLOCKDEF
        BEGIN BLOCKDEF xgate
            TIMESTAMP 2007 4 20 11 31 8
            RECTANGLE N -48 -60 208 48 
        END BLOCKDEF
        BEGIN BLOCKDEF ygate
            TIMESTAMP 2007 11 27 11 1 56
            RECTANGLE N -48 -60 208 48 
        END BLOCKDEF
        BEGIN BLOCKDEF amux
            TIMESTAMP 2007 11 27 11 2 36
            LINE N -48 -60 0 48 
            LINE N 0 48 164 48 
            LINE N 164 48 208 -60 
            LINE N 208 -60 -48 -60 
            LINE N 208 0 184 0 
        END BLOCKDEF
        BEGIN BLOCKDEF alu
            TIMESTAMP 2007 4 20 9 31 38
            LINE N 292 48 -128 48 
            LINE N -176 -60 48 -60 
            LINE N 292 48 336 -60 
            LINE N -176 -60 -128 48 
            LINE N 80 -32 112 -60 
            LINE N 80 -32 48 -60 
            LINE N 112 -60 336 -60 
            LINE N 336 0 308 0 
        END BLOCKDEF
        BEGIN BLOCKDEF steu
            TIMESTAMP 2007 4 20 9 8 8
            RECTANGLE N -80 -112 80 112 
        END BLOCKDEF
        BEGIN BLOCK yreg1 yreg
            PIN d(15:0) din(15:0)
            PIN q(15:0) yreg_out(15:0)
            PIN clk clk
            PIN e s2
        END BLOCK
        BEGIN BLOCK xreg1 xreg
            PIN d(15:0) din(15:0)
            PIN q(15:0) xreg_out(15:0)
            PIN clk clk
            PIN e s1
        END BLOCK
        BEGIN BLOCK op1 op
            PIN d din(15)
            PIN q op_out
            PIN clk clk
            PIN e s0
        END BLOCK
        BEGIN BLOCK pc1 pc
            PIN d(14:0) dout(14:0)
            PIN q(14:0) pc_out(14:0)
            PIN clk clk
            PIN e s3
        END BLOCK
        BEGIN BLOCK flag1 flag
            PIN d alu_f
            PIN q flag_out
            PIN clk clk
            PIN e s8
        END BLOCK
        BEGIN BLOCK steu1 steu
            PIN s0 s0
            PIN s1 s1
            PIN s2 s2
            PIN s3 s3
            PIN s4 s4
            PIN s5 s5
            PIN s6 s6
            PIN s7 s7
            PIN s8 s8
            PIN f flag_out
            PIN op op_out
            PIN d15 din(15)
            PIN adr(14:0) adr(14:0)
            PIN mem mem
            PIN rw rw
            PIN irq irq
            PIN clk clk
        END BLOCK
        BEGIN BLOCK alu1 alu
            PIN c(15:0) dout(15:0)
            PIN b(15:0) alu_y(15:0)
            PIN f alu_f
            PIN a(15:0) alu_x(15:0)
            PIN s s7
        END BLOCK
        BEGIN BLOCK xgate1 xgate
            PIN a(15:0) xreg_out(15:0)
            PIN c(15:0) alu_x(15:0)
            PIN e s5
        END BLOCK
        BEGIN BLOCK ygate1 ygate
            PIN a(15:0) adr(15:0)
            PIN c(15:0) alu_y(15:0)
            PIN e s6
        END BLOCK
        BEGIN BLOCK amux1 amux
            PIN b(14:0) pc_out(14:0)
            PIN a(15:0) yreg_out(15:0)
            PIN e s4
            PIN c(15:0) adr(15:0)
        END BLOCK
    END NETLIST
    BEGIN SHEET 1 1900 1344
        ATTR LengthUnitName "CM"
        ATTR GridsPerUnit "4"
        BEGIN INSTANCE yreg1 816 336 R0
        END INSTANCE
        BEGIN BRANCH yreg_out(15:0)
            WIRE 896 384 896 432
            WIRE 896 432 944 432
            WIRE 944 432 1008 432
            WIRE 1008 432 1008 480
            BEGIN DISPLAY 944 432 ATTR Name
                ALIGNMENT SOFT-BCENTER
                FONT 12 "Arial"
            END DISPLAY
        END BRANCH
        BEGIN BRANCH pc_out(14:0)
            WIRE 1136 432 1136 480
            WIRE 1136 432 1216 432
            WIRE 1216 432 1280 432
            WIRE 1280 384 1280 432
            BEGIN DISPLAY 1216 432 ATTR Name
                ALIGNMENT SOFT-BCENTER
                FONT 12 "Arial"
            END DISPLAY
        END BRANCH
        BEGIN BRANCH xreg_out(15:0)
            WIRE 512 384 512 448
            WIRE 512 448 512 656
            BEGIN DISPLAY 512 448 ATTR Name
                ALIGNMENT SOFT-TVCENTER
                FONT 12 "Arial"
            END DISPLAY
        END BRANCH
        BEGIN BRANCH alu_x(15:0)
            WIRE 512 768 512 816
            WIRE 512 816 512 848
            BEGIN DISPLAY 512 816 ATTR Name
                ALIGNMENT SOFT-TVCENTER
                FONT 12 "Arial"
            END DISPLAY
        END BRANCH
        BEGIN BRANCH alu_y(15:0)
            WIRE 896 768 896 816
            WIRE 896 816 896 848
            BEGIN DISPLAY 896 816 ATTR Name
                ALIGNMENT SOFT-TVCENTER
                FONT 12 "Arial"
            END DISPLAY
        END BRANCH
        BEGIN INSTANCE xreg1 432 336 R0
        END INSTANCE
        BEGIN INSTANCE op1 96 336 R0
        END INSTANCE
        BEGIN INSTANCE pc1 1200 336 R0
        END INSTANCE
        BEGIN BRANCH clk
            WIRE 256 304 288 304
            BEGIN DISPLAY 288 304 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH s0
            WIRE 256 352 288 352
            BEGIN DISPLAY 288 352 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH clk
            WIRE 640 304 672 304
            BEGIN DISPLAY 672 304 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH s1
            WIRE 640 352 672 352
            BEGIN DISPLAY 672 352 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH clk
            WIRE 1024 304 1056 304
            BEGIN DISPLAY 1056 304 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH s2
            WIRE 1024 352 1056 352
            BEGIN DISPLAY 1056 352 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH clk
            WIRE 1408 304 1440 304
            BEGIN DISPLAY 1440 304 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH s3
            WIRE 1408 352 1440 352
            BEGIN DISPLAY 1440 352 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH s4
            WIRE 1200 544 1216 544
            BEGIN DISPLAY 1216 544 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN INSTANCE flag1 464 1104 R0
        END INSTANCE
        BEGIN BRANCH alu_f
            WIRE 544 960 544 1008
            WIRE 544 1008 544 1040
            BEGIN DISPLAY 544 1008 ATTR Name
                ALIGNMENT SOFT-TVCENTER
                FONT 12 "Arial"
            END DISPLAY
        END BRANCH
        BEGIN INSTANCE steu1 1232 1136 R0
        END INSTANCE
        BEGIN BRANCH op_out
            WIRE 176 384 176 432
            WIRE 176 432 176 1216
            WIRE 176 1216 1152 1216
            BEGIN DISPLAY 176 432 ATTR Name
                ALIGNMENT SOFT-TVCENTER
                FONT 12 "Arial"
            END DISPLAY
        END BRANCH
        BEGIN BRANCH s0
            WIRE 1088 1040 1152 1040
            BEGIN DISPLAY 1088 1040 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH s1
            WIRE 1088 1056 1152 1056
            BEGIN DISPLAY 1088 1056 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH s2
            WIRE 1088 1072 1152 1072
            BEGIN DISPLAY 1088 1072 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH s3
            WIRE 1088 1088 1152 1088
            BEGIN DISPLAY 1088 1088 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH s4
            WIRE 1088 1104 1152 1104
            BEGIN DISPLAY 1088 1104 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH s5
            WIRE 1088 1120 1152 1120
            BEGIN DISPLAY 1088 1120 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH s6
            WIRE 1088 1136 1152 1136
            BEGIN DISPLAY 1088 1136 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH mem
            WIRE 1312 1232 1376 1232
        END BRANCH
        BEGIN BRANCH rw
            WIRE 1312 1200 1376 1200
        END BRANCH
        BEGIN BRANCH irq
            WIRE 1312 1168 1376 1168
        END BRANCH
        BEGIN BRANCH clk
            WIRE 1312 1136 1328 1136
            WIRE 1328 1136 1344 1136
            WIRE 1344 1136 1376 1136
        END BRANCH
        BEGIN BRANCH s7
            WIRE 1088 1152 1152 1152
            BEGIN DISPLAY 1088 1152 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN INSTANCE alu1 624 912 R0
        END INSTANCE
        BEGIN BRANCH s7
            WIRE 960 912 976 912
            BEGIN DISPLAY 976 912 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH din(15:0)
            WIRE 80 112 176 112
            WIRE 176 112 512 112
            WIRE 512 112 512 272
            WIRE 512 112 896 112
            WIRE 896 112 896 272
            WIRE 896 112 1712 112
        END BRANCH
        BEGIN BRANCH din(15)
            WIRE 48 224 48 1232
            WIRE 48 1232 1152 1232
            WIRE 48 224 176 224
            WIRE 176 224 176 272
            WIRE 176 208 176 224
        END BRANCH
        BUSTAP 176 112 176 208
        BUSTAP 1552 208 1456 208
        BEGIN BRANCH dout(14:0)
            WIRE 1280 208 1280 272
            WIRE 1280 208 1456 208
            BEGIN DISPLAY 1380 212 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH dout(15:0)
            WIRE 704 960 704 992
            WIRE 704 992 1552 992
            WIRE 1552 992 1712 992
            WIRE 1552 160 1552 208
            WIRE 1552 208 1552 992
        END BRANCH
        BEGIN BRANCH flag_out
            WIRE 544 1152 544 1200
            WIRE 544 1200 592 1200
            WIRE 592 1200 1152 1200
            BEGIN DISPLAY 592 1200 ATTR Name
                ALIGNMENT SOFT-BCENTER
                FONT 12 "Arial"
            END DISPLAY
        END BRANCH
        BEGIN BRANCH clk
            WIRE 624 1072 656 1072
            BEGIN DISPLAY 656 1072 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH s8
            WIRE 1088 1168 1152 1168
            BEGIN DISPLAY 1088 1168 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH s8
            WIRE 624 1120 656 1120
            BEGIN DISPLAY 656 1120 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN INSTANCE amux1 992 544 R0
        END INSTANCE
        BEGIN BRANCH adr(15:0)
            WIRE 896 640 1072 640
            WIRE 1072 640 1232 640
            WIRE 1232 640 1728 640
            WIRE 896 640 896 656
            WIRE 1072 592 1072 640
        END BRANCH
        BUSTAP 1232 640 1232 736
        BEGIN BRANCH adr(14:0)
            WIRE 1232 736 1232 832
            WIRE 1232 832 1232 832
            WIRE 1232 832 1232 1024
            BEGIN DISPLAY 1232 836 ATTR Name
                ALIGNMENT SOFT-TVCENTER
            END DISPLAY
        END BRANCH
        IOMARKER 1712 992 dout(15:0) R0 28
        IOMARKER 1712 112 din(15:0) R0 28
        IOMARKER 1376 1232 mem R0 28
        IOMARKER 1376 1200 rw R0 28
        IOMARKER 1376 1168 irq R0 28
        IOMARKER 1376 1136 clk R0 28
        IOMARKER 1728 640 adr(15:0) R0 28
        BEGIN INSTANCE xgate1 432 720 R0
        END INSTANCE
        BEGIN BRANCH s5
            WIRE 640 720 672 720
            BEGIN DISPLAY 672 720 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN INSTANCE ygate1 816 720 R0
        END INSTANCE
        BEGIN BRANCH s6
            WIRE 1024 720 1056 720
            BEGIN DISPLAY 1056 720 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
    END SHEET
END SCHEMATIC
