VERSION 6
BEGIN SCHEMATIC
    BEGIN ATTR DeviceFamilyName "spartan3e"
        DELETE all:0
        EDITNAME all:0
        EDITTRAIT all:0
    END ATTR
    BEGIN NETLIST
        SIGNAL s4
        SIGNAL s5
        SIGNAL s6
        SIGNAL s7
        SIGNAL s8
        SIGNAL mem
        SIGNAL rw
        SIGNAL s3
        SIGNAL s2
        SIGNAL s1
        SIGNAL s0
        SIGNAL f
        SIGNAL op
        SIGNAL d15
        SIGNAL clk
        SIGNAL adr(14:0)
        SIGNAL irq
        SIGNAL adr(14)
        SIGNAL adr(13)
        SIGNAL adr(12)
        SIGNAL adr(11)
        SIGNAL adr(10)
        SIGNAL adr(9)
        SIGNAL adr(8)
        SIGNAL adr(7)
        SIGNAL adr(6)
        SIGNAL adr(5)
        SIGNAL adr(4)
        SIGNAL adr(3)
        SIGNAL adr(2)
        SIGNAL adr(1)
        SIGNAL adr(0)
        PORT Output s4
        PORT Output s5
        PORT Output s6
        PORT Output s7
        PORT Output s8
        PORT Output mem
        PORT Output rw
        PORT Output s3
        PORT Output s2
        PORT Output s1
        PORT Output s0
        PORT Input f
        PORT Input op
        PORT Input d15
        PORT Input clk
        PORT Input adr(14:0)
        PORT Input irq
    END NETLIST
    BEGIN SHEET 1 7609 5382
        ATTR LengthUnitName "CM"
        ATTR GridsPerUnit "4"
        BEGIN BRANCH s4
            WIRE 1520 4592 1808 4592
        END BRANCH
        BEGIN BRANCH s5
            WIRE 1520 4656 1808 4656
        END BRANCH
        BEGIN BRANCH s6
            WIRE 1520 4720 1808 4720
        END BRANCH
        BEGIN BRANCH s7
            WIRE 1520 4784 1808 4784
        END BRANCH
        BEGIN BRANCH s8
            WIRE 1520 4848 1808 4848
        END BRANCH
        BEGIN BRANCH mem
            WIRE 1520 4912 1808 4912
        END BRANCH
        BEGIN BRANCH rw
            WIRE 1520 4976 1808 4976
        END BRANCH
        BEGIN BRANCH s3
            WIRE 1520 4528 1808 4528
        END BRANCH
        BEGIN BRANCH s2
            WIRE 1520 4464 1808 4464
        END BRANCH
        BEGIN BRANCH s1
            WIRE 1520 4400 1808 4400
        END BRANCH
        BEGIN BRANCH s0
            WIRE 1520 4336 1808 4336
        END BRANCH
        IOMARKER 1808 4592 s4 R0 28
        IOMARKER 1808 4656 s5 R0 28
        IOMARKER 1808 4720 s6 R0 28
        IOMARKER 1808 4784 s7 R0 28
        IOMARKER 1808 4848 s8 R0 28
        IOMARKER 1808 4912 mem R0 28
        IOMARKER 1808 4976 rw R0 28
        IOMARKER 1808 4528 s3 R0 28
        IOMARKER 1808 4464 s2 R0 28
        IOMARKER 1808 4400 s1 R0 28
        IOMARKER 1808 4336 s0 R0 28
        BEGIN BRANCH f
            WIRE 752 4464 960 4464
        END BRANCH
        BEGIN BRANCH op
            WIRE 768 4528 960 4528
        END BRANCH
        BEGIN BRANCH d15
            WIRE 768 4400 960 4400
        END BRANCH
        BEGIN BRANCH clk
            WIRE 752 4336 960 4336
        END BRANCH
        IOMARKER 752 4464 f R180 28
        IOMARKER 768 4528 op R180 28
        IOMARKER 768 4400 d15 R180 28
        IOMARKER 752 4336 clk R180 28
        BEGIN BRANCH adr(14:0)
            WIRE 4896 3952 5168 3952
            WIRE 5168 3952 5168 4048
            WIRE 5168 4048 5168 4112
            WIRE 5168 4112 5168 4176
            WIRE 5168 4176 5168 4240
            WIRE 5168 4240 5168 4304
            WIRE 5168 4304 5168 4368
            WIRE 5168 4368 5168 4432
            WIRE 5168 4432 5168 4496
            WIRE 5168 4496 5168 4560
            WIRE 5168 4560 5168 4624
            WIRE 5168 4624 5168 4688
            WIRE 5168 4688 5168 4752
            WIRE 5168 4752 5168 4816
            WIRE 5168 4816 5168 4880
            WIRE 5168 4880 5168 4944
            WIRE 5168 4944 5168 5024
        END BRANCH
        BEGIN BRANCH irq
            WIRE 4816 3888 4992 3888
        END BRANCH
        BUSTAP 5168 4048 5264 4048
        BEGIN BRANCH adr(14)
            WIRE 5264 4048 5424 4048
            WIRE 5424 4048 5616 4048
            BEGIN DISPLAY 5424 4048 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BUSTAP 5168 4112 5264 4112
        BEGIN BRANCH adr(13)
            WIRE 5264 4112 5424 4112
            WIRE 5424 4112 5616 4112
            BEGIN DISPLAY 5424 4112 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BUSTAP 5168 4176 5264 4176
        BEGIN BRANCH adr(12)
            WIRE 5264 4176 5424 4176
            WIRE 5424 4176 5616 4176
            BEGIN DISPLAY 5424 4176 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BUSTAP 5168 4240 5264 4240
        BEGIN BRANCH adr(11)
            WIRE 5264 4240 5424 4240
            WIRE 5424 4240 5616 4240
            BEGIN DISPLAY 5424 4240 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BUSTAP 5168 4304 5264 4304
        BEGIN BRANCH adr(10)
            WIRE 5264 4304 5424 4304
            WIRE 5424 4304 5616 4304
            BEGIN DISPLAY 5424 4304 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BUSTAP 5168 4368 5264 4368
        BEGIN BRANCH adr(9)
            WIRE 5264 4368 5424 4368
            WIRE 5424 4368 5616 4368
            BEGIN DISPLAY 5424 4368 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BUSTAP 5168 4432 5264 4432
        BEGIN BRANCH adr(8)
            WIRE 5264 4432 5424 4432
            WIRE 5424 4432 5616 4432
            BEGIN DISPLAY 5424 4432 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BUSTAP 5168 4496 5264 4496
        BEGIN BRANCH adr(7)
            WIRE 5264 4496 5424 4496
            WIRE 5424 4496 5616 4496
            BEGIN DISPLAY 5424 4496 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BUSTAP 5168 4560 5264 4560
        BEGIN BRANCH adr(6)
            WIRE 5264 4560 5424 4560
            WIRE 5424 4560 5616 4560
            BEGIN DISPLAY 5424 4560 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BUSTAP 5168 4624 5264 4624
        BEGIN BRANCH adr(5)
            WIRE 5264 4624 5424 4624
            WIRE 5424 4624 5616 4624
            BEGIN DISPLAY 5424 4624 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BUSTAP 5168 4688 5264 4688
        BEGIN BRANCH adr(4)
            WIRE 5264 4688 5424 4688
            WIRE 5424 4688 5616 4688
            BEGIN DISPLAY 5424 4688 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BUSTAP 5168 4752 5264 4752
        BEGIN BRANCH adr(3)
            WIRE 5264 4752 5424 4752
            WIRE 5424 4752 5616 4752
            BEGIN DISPLAY 5424 4752 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BUSTAP 5168 4816 5264 4816
        BEGIN BRANCH adr(2)
            WIRE 5264 4816 5424 4816
            WIRE 5424 4816 5616 4816
            BEGIN DISPLAY 5424 4816 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BUSTAP 5168 4880 5264 4880
        BEGIN BRANCH adr(1)
            WIRE 5264 4880 5424 4880
            WIRE 5424 4880 5616 4880
            BEGIN DISPLAY 5424 4880 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BUSTAP 5168 4944 5264 4944
        BEGIN BRANCH adr(0)
            WIRE 5264 4944 5424 4944
            WIRE 5424 4944 5616 4944
            BEGIN DISPLAY 5424 4944 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        IOMARKER 4896 3952 adr(14:0) R180 28
        IOMARKER 4816 3888 irq R180 28
    END SHEET
END SCHEMATIC
